---
api: 'Business API'
---

# Retrieve an account

Get the information about one of your accounts.
Specify the account by its ID.

For more information, see the guides: [Get your account details](/docs/guides/manage-accounts/accounts-and-transactions/manage-your-accounts).

## Endpoint

GET `/accounts/{account_id}`

## Parameters

### path parameters

- `account_id` (string, required)
  The ID of the account to retrieve.

## Returns

### 200

The information about a specific account

#### Response attributes

- `id` (string)
    The account ID.
- `name` (string, optional)
    The account name.
- `balance` (number)
    The current balance on the account.
- `currency` (string)
    [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code in upper case.
- `state` (enum)
    Indicates the state of the account.
    Possible enum values:

    - `active`
    - `inactive`
- `public` (boolean)
    Indicates whether the account is visible to other businesses on Revolut.
- `created_at` (string)
    The date and time the account was created in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
- `updated_at` (string)
    The date and time the account was last updated in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
